
do
	local _, playerClass = UnitClass("player")
	if playerClass ~= "WARRIOR" then return end
end

local MODULE = "Fury"
local Faceroller = _G["Faceroller"]
local gsi = Faceroller.gsi

local skills


local Init = function()

	skills = {
		[78] = 30,			--heroic strike
		[86346] = 20,		--colossus
		[18499] = 0,		--berserker rage
		[85288] = 20,		--raging blow
		[23881] = 20,		--bloodthirst
		[1464] = 15,		--slam
		[5308] = 10,		--execute
	}

	
	for k, v in pairs(skills) do
		if Faceroller:HasSpell (k) == false then
			return nil
		end
	end

	
	Faceroller:RegisterBuff(46915)	-- bloodsurge
	Faceroller:RegisterBuff(13046)  -- enrage
	Faceroller:RegisterBuff(12292)  -- deathwish
	rage1 = gsi[13046]				--enrage
	rage2 = gsi[12292]				--deathwish
	slam = gsi[46915]				--bloodsurge
	

	return skills
end



local NextAttack = function(gcd, spells, buffs, debuffs, myDebuffs)
	
	local th = max (0.5, gcd)
	th = th + 0.1

	local up = UnitPower("player")
	local target_health = UnitHealth("target") / UnitHealthMax("target")

	if target_health >= 0.2 then  
		
		if spells[86346].cd < th and up >= spells[86346].data and spells[86346].usable then --colossus smash
			return 86346
		end			

		if spells[85288].cd < th and up >= spells[85288].data and spells[85288].usable then  --raging blow
			return 85288
		end	
		
		if spells[23881].cd < th and up >= spells[23881].data and spells[23881].usable then  -- bloodthirst
			return 23881			
		end		
		
		if buffs[slam].active and spells[1464].cd < th and up >= spells[1464].data then  -- slam
			return 1464
		end

		if up >= 50 and spells[78].cd then  -- heroic strike
			return 78
		end
		
	else  

		if spells[86346].cd < th and up >= spells[86346].data and spells[86346].usable then --colossus smash
			return 86346
		end			
		
		if spells[5308].cd < th and up >= spells[5308].data and spells[5308].usable then  -- execute
			return 5308			
		end		
		
	end

	return 0
end


Faceroller:RegisterModule("Fury", Init, NextAttack, nil)
